| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# imesh/terrain.h File Reference

Terrain mesh object. More...

`#include "csutil/scf.h"`
`#include "csutil/array.h"`

Go to the source code of this file.

## Classes
struct | iTerrainFactoryState
| Allows the setting of a set of generic terrain parameters outside any specific algorithm. More...
struct | iTerrainObjectState
| This will override the settings for material in the parent. More...

## Detailed Description

Terrain mesh object.

Definition in file terrain.h.